# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Sun Jan  9 18:30:40 2022
# ------------------------------------------------

package:
  name: r-recordlinkage
  version: 0.4_12.2
source:
  sha256: 02daf8578f8d31b6c4aa6c90dbc35d6871c6e025b603f5bfb0004412c7f1f3ab
  url:
    - https://cran.r-project.org/src/contrib/Archive/RecordLinkage/RecordLinkage_0.4-12.2.tar.gz
    - https://cran.r-project.org/src/contrib/RecordLinkage_0.4-12.2.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r40h6d2157b_0
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - intel-openmp 2022.0.0 h57928b3_3663
    - libblas 3.9.0 12_win64_mkl
    - liblapack 3.9.0 12_win64_mkl
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2021.4.0 h0e2418a_729
    - msys2-conda-epoch 20160418 1
    - r-ada 2.0_5 r40hc72bb7e_1002
    - r-base 4.0.5 hddad469_4
    - r-bit 4.0.4 r40h6d2157b_0
    - r-bit64 4.0.5 r40h6d2157b_0
    - r-blob 1.2.2 r40hc72bb7e_0
    - r-cachem 1.0.6 r40h6d2157b_0
    - r-class 7.3_19 r40h6d2157b_0
    - r-codetools 0.2_18 r40hc72bb7e_0
    - r-data.table 1.14.2 r40h6d2157b_0
    - r-dbi 1.1.2 r40hc72bb7e_0
    - r-digest 0.6.29 r40ha856d6a_0
    - r-e1071 1.7_9 r40ha856d6a_0
    - r-ellipsis 0.3.2 r40h6d2157b_0
    - r-evd 2.3_3 r40h6d2157b_1003
    - r-fastmap 1.1.0 r40ha856d6a_0
    - r-fastmatch 1.1_3 r40h6d2157b_0
    - r-ff 4.0.5 r40hfa435f1_0
    - r-ffbase 0.13.3 r40h6d2157b_0
    - r-future 1.23.0 r40hc72bb7e_0
    - r-future.apply 1.8.1 r40hc72bb7e_0
    - r-globals 0.14.0 r40hc72bb7e_0
    - r-glue 1.6.0 r40h6d2157b_0
    - r-ipred 0.9_12 r40h6d2157b_0
    - r-kernsmooth 2.23_20 r40h090b817_0
    - r-lattice 0.20_45 r40h6d2157b_0
    - r-lava 1.6.10 r40hc72bb7e_0
    - r-listenv 0.8.0 r40hc72bb7e_1
    - r-mass 7.3_54 r40h6d2157b_0
    - r-matrix 1.4_0 r40hd2e18ed_0
    - r-memoise 2.0.1 r40hc72bb7e_0
    - r-nnet 7.3_16 r40h6d2157b_0
    - r-numderiv 2016.8_1.1 r40hc72bb7e_3
    - r-parallelly 1.30.0 r40hc72bb7e_0
    - r-pkgconfig 2.0.3 r40hc72bb7e_1
    - r-plogr 0.2.0 r40hc72bb7e_1003
    - r-prodlim 2019.11.13 r40ha856d6a_1
    - r-progressr 0.10.0 r40hc72bb7e_0
    - r-proxy 0.4_26 r40h6d2157b_0
    - r-rcpp 1.0.7 r40ha856d6a_0
    - r-rlang 0.4.12 r40h6d2157b_0
    - r-rpart 4.1_15 r40h6d2157b_2
    - r-rsqlite 2.2.8 r40ha856d6a_0
    - r-squarem 2021.1 r40hc72bb7e_0
    - r-survival 3.2_13 r40h6d2157b_0
    - r-vctrs 0.3.8 r40h6d2157b_1
    - r-xtable 1.8_4 r40hc72bb7e_3
    - tbb 2021.5.0 h2d74725_0
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_5
    - vs2015_runtime 14.29.30037 h902a5da_5
  run:
    - m2w64-gcc-libs
    - r-ada
    - r-base >=4.0,<4.1.0a0
    - r-data.table >=1.7.8
    - r-dbi
    - r-e1071
    - r-evd
    - r-ff
    - r-ffbase
    - r-ipred
    - r-nnet
    - r-rpart
    - r-rsqlite >=1.0.0
    - r-xtable
test:
  commands:
    - '"%R%" -e "library(''RecordLinkage'')"'
about:
  home: https://r-forge.r-project.org/projects/recordlinkage/, https://journal.r-project.org/archive/2010-2/RJournal_2010-2_Sariyar+Borg.pdf
  license: GPL-2.0-or-later
  license_family: GPL2
  license_file:
    - D:\bld\r-recordlinkage_1641753325717\_h_env/lib/R/share/licenses/GPL-2
  summary: Provides functions for linking and de-duplicating data sets. Methods based
    on a stochastic approach are implemented as well as classification algorithms
    from the machine learning domain.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
